%define srcname	pylev3

Name:		python-pylev3
Version:	1.1.0
Release:	%mkrel 4
Summary:	A Python3 Levenshtein distance (re)implementation of pylev
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/pylev3/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

%description
A Python3 Levenshtein distance (re)implementation of pylev

%package -n python3-pylev3
Summary:	A Python3 Levenshtein distance (re)implementation of pylev
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pylev3
A Python3 Levenshtein distance (re)implementation of pylev

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylev3

%files -n python3-pylev3 -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.0-4.mga10
+ Revision: 2238764
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.1.0-3.mga10
+ Revision: 2155593
- rebuild for python3.13

* Fri Feb 16 2024 papoteur <papoteur> 1.1.0-2.mga10
+ Revision: 2041876
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 1.1.0-1.mga9
+ Revision: 1885591
- imported package python-pylev3

